//
//  YouaiSDKMgr.h
//  YouaiSDK
//
//  Created by 莫 东荣 on 13-4-9.
//  Copyright (c) 2013年 莫 东荣. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "StoreKit/StoreKit.h"

@interface YouaiSDKMgr : NSObject
{
    NSString* appId_;
    NSString* appKey_;
   
    NSString* inviterCode_;
//    NSString* openId;
//    NSString* loginKey;

}

+ (YouaiSDKMgr *)getInstance;
- (void)initSDK;
- (void)openLogin:(NSString *)appId : (NSString *)appKey : (UIViewController *)controller;
- (void)openLogin:(NSString *)appId : (NSString *)appKey : (UIViewController *)controller : (NSString *) inviterCode;
- (void)openLogin:(NSString *)appId : (NSString *)appKey : (UIViewController *)controller : (NSString *) inviterCode : (NSString *)userName : (NSString *)passWord;
- (void)setStyleName:(NSString*)styleName;
- (void)openLogin:(NSString *)appId : (NSString *)appKey : (UIViewController *)controller : (NSString *)userName : (NSString *)passWord;

- (void)openCenter: (UIViewController *)controller;
- (void)openPay: (NSString *)serverId : (NSString *)nickName : (NSString *)callBack : (UIViewController *)controller;
- (void)openPay: (NSString *)serverId : (NSString *)nickName : (NSNumber *)payAmount : (NSString *)callBack : (UIViewController *)controller;
- (void)openShare: (UIViewController *)controller;
- (void)log: (NSString *)log_server : (NSString *)log_key : (NSInteger)log_data : (NSString *)log_remark;

- (void)checkAilpay: (NSURL *)url : (UIViewController *)controller;

- (void)applePayCallBack:(NSString *)url :(SKPaymentTransaction *)transaction :(NSString *)resultStr;



@end
